<?php
require_once("../config/conexion.php");
require_once("../models/Fichas.php");

$fichas = new Fichas();

switch ($_GET["op"]) {


    case "eliminar":
        $fichas->delete_fichas($_POST["fic_id"]);
        echo json_encode(["success" => true]);
        break;

    case "guardaryeditar":
         $emp_ext = isset($_POST['emp_ext']) ? intval($_POST['emp_ext']) : 0;
        $fichas->insert_or_update_fichas(
            $_POST["fic_id"],
            $_POST["fic_run"],
            $_POST["fic_nom"],
            $_POST["fic_fec_naci"],
            $_POST["fic_dato1"],
            $_POST["fic_dato2"],
            $_POST["fic_dato3"],
            $_POST["fic_dato4"],
            $_POST["apo1_id"],
            $_POST["apo2_id"],
            $_POST["valor_alumno"],
            $emp_ext
        );
        echo json_encode(["success" => true]);
        break;


    case "mostrar":
        $data = $fichas->get_fichas_x_id($_POST["fic_id"]);
        echo json_encode($data);
        break;

    case "listar":

        $datos = $fichas->get_fichas();
        $data=Array();

        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] =  $row["fic_id"];
            $sub_array[] =  $row["fic_nom"];
            $sub_array[] =  $row["fic_run"];
            $sub_array[] =  $row["fic_fec_naci"];
            $sub_array[] =  $row["apo1_nombre"]; 
            $sub_array[] =  $row["apo2_nombre"]; 
            $sub_array[] =  $row["fic_dato1"]; 
            $sub_array[] =  $row["fic_dato2"]; 
            $sub_array[] =  $row["fic_dato3"]; 
            $sub_array[] =  $row["fic_dato4"];              
            $sub_array[] = '<button type="button"onClick="editar('.$row["fic_id"].')" id="'.$row["fic_id"].'" class="btn btn-warning btn-xs">Editar</button>';
            $sub_array[] = '<button type="button" onClick="eliminar('.$row["fic_id"].')" id="'.$row["fic_id"].'" class="btn btn-danger btn-xs">Eliminar</button>';
            $data[] = $sub_array;
 
        }


            //TODO: Se prepara la respuesta en formato JSON
            $results = array(
                "sEcho"=>1,
                "iTotalRecords"=>count($data),
                "iTotalDisplayRecords"=>count($data),
                "aaData"=>$data);
            echo json_encode($results);
            break;
    case "combo":
        $datos = $fichas->get_fichas();
        echo json_encode($datos);
        break;
     case "select_fichas" :
            $data = $fichas->get_fichas_select(); 
            echo json_encode($data);
            break;
        break;
    }
?>
